nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
DiscoveryManager Class Reference

Represents defined (in settings) image directories as cameras with dts archive storage. More...

`#include <discovery_manager.h>`

Inheritance diagram for DiscoveryManager:

## Public Member Functions
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual void | getVendorName (char *buf) const override
| Implementation of nxcip::CameraDiscoveryManager::getVendorName.
virtual int | findCameras (nxcip::CameraInfo *cameras, const char *localInterfaceIPAddr) override
| Implementation of nxcip::CameraDiscoveryManager::findCameras.
virtual int | checkHostAddress (nxcip::CameraInfo *cameras, const char *address, const char *login, const char *password) override
| Implementation of nxcip::CameraDiscoveryManager::checkHostAddress.
virtual int | checkHostAddress2 (nxcip::CameraInfo2 *cameras, const char *address, const char *login, const char *password) override
| Implementation of nxcip::CameraDiscoveryManager2::checkHostAddress. More...
virtual int | findCameras2 (nxcip::CameraInfo2 *cameras, const char *serverURL) override
| Implementation of nxcip::CameraDiscoveryManager2::findCameras2.
virtual int | fromMDNSData (const char *discoveredAddress, const unsigned char *mdnsResponsePacket, int mdnsResponsePacketSize, nxcip::CameraInfo *cameraInfo) override
| Implementation of nxcip::CameraDiscoveryManager::fromMDNSData.
virtual int | fromUpnpData (const char *upnpXMLData, int upnpXMLDataSize, nxcip::CameraInfo *cameraInfo) override
| Implementation of nxcip::CameraDiscoveryManager::fromUpnpData.
virtual nxcip::BaseCameraManager * | createCameraManager (const nxcip::CameraInfo &info) override
| Implementation of nxcip::CameraDiscoveryManager::createCameraManager.
virtual int | getReservedModelList (char **modelList, int *count) override
| Implementation of nxcip::CameraDiscoveryManager::getReservedModelList. More...
virtual int | getCapabilities () const override
| Implementation of nxcip::CameraDiscoveryManager3::getCapabilities.

## Additional Inherited Members
Public Types inherited from nxcip::CameraDiscoveryManager3
enum | Capability { noCapability = 0, findLocalResources = 1 }

## Detailed Description

Represents defined (in settings) image directories as cameras with dts archive storage.

## Member Function Documentation

## ◆ checkHostAddress2()

int DiscoveryManager::checkHostAddress2 | ( | nxcip::CameraInfo2 * | cameras,
|  | const char * | address,
|  | const char * | login,
|  | const char * | password
| ) |  |
| overridevirtual

Implementation of nxcip::CameraDiscoveryManager2::checkHostAddress.

Implementation of nxcip::CameraDiscoveryManager2::checkHostAddress2.

Implements nxcip::CameraDiscoveryManager2.

## ◆ getReservedModelList()

int DiscoveryManager::getReservedModelList | ( | char ** | modelList,
|  | int * | count
| ) |  |
| overridevirtual

Implementation of nxcip::CameraDiscoveryManager::getReservedModelList.

Does nothing

Implements nxcip::CameraDiscoveryManager.

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/discovery_manager.h
- samples/device/image_library_plugin/src/discovery_manager.cpp